<?php
add_action( 'customize_register', 'gridchamp_extra_cta_register' );
function gridchamp_extra_cta_register( $wp_customize ) {

	$wp_customize->add_section('gridchamp_extra_cta_settings', 
	 	array(
	        'title' => esc_html__('Extra CTA', 'gridchamp'),
	        'panel' =>'gridchamp_frontpage_option',
	        'priority' => 2,
    	)
	 );
	$wp_customize->add_setting( 'gridchamp_extra_cta_status', 
    	array(
	      'default'  =>  false,
	      'sanitize_callback' => 'gridchamp_sanitize_checkbox'
	  	)
    );
	$wp_customize->add_control( 'gridchamp_extra_cta_status', 
		array(
		  'label'   => esc_html__( 'Display Extra CTAs', 'gridchamp' ),
		  'section' => 'gridchamp_extra_cta_settings',
		  'settings' => 'gridchamp_extra_cta_status',
		  'type'    => 'checkbox',
		  'priority' => 1
		)
	);
	$wp_customize->add_setting( 'extra_cta_heading_text', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

	$wp_customize->add_control( 'extra_cta_heading_text', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'label' => esc_html__( 'Section Heading','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
	);
	     $wp_customize->add_setting( 'extra_cta_message_text', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_message_text', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'label' => esc_html__( 'Section Description','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		/*CTA 1*/
		$wp_customize->add_setting('extra_cta_icon_1', array(
	        'transport'         => 'refresh',
	        'sanitize_callback'     =>  'gridchamp_sanitize_file',
	    ));

	    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'extra_cta_icon_1', array(
	        'label'             => esc_html__('CTA 1', 'gridchamp'),
	        'description'		=> esc_html__('Icon Image','gridchamp'),
	        'section'           => 'gridchamp_extra_cta_settings',
	        'settings'          => 'extra_cta_icon_1',
	        'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
	    )));
	    $wp_customize->add_setting( 'extra_cta_title_1', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_title_1', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'title' => '',
				'description' => esc_html__( 'Title','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_desc_1', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_desc_1', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'label' => '',
				'description' => esc_html__('Description','gridchamp'),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_more_text_1', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_more_text_1', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'title' => '',
				'description' => esc_html__( 'Read More Text','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_link_1',
          array(
            'default'        => '',
            'sanitize_callback' => 'gridchamp_sanitize_url'
          ) 
        );
        $wp_customize->add_control( 'extra_cta_link_1', 
            array(
              'label'   => '',
              'description' => esc_html__( 'Link', 'gridchamp' ),
              'section' => 'gridchamp_extra_cta_settings',
              'settings'   => 'extra_cta_link_1',
              'type'     => 'text',
              'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
          )
        );
        $wp_customize->add_setting( 'extra_cta_link_target_1', 
    	array(
	      'default'  =>  false,
	      'sanitize_callback' => 'gridchamp_sanitize_checkbox'
	  	)
	    );
		$wp_customize->add_control( 'extra_cta_link_target_1', 
			array(
			  'label' => esc_html__( 'Open In New Tab', 'gridchamp' ),
			  'description'   => '',
			  'section' => 'gridchamp_extra_cta_settings',
			  'settings' => 'extra_cta_link_target_1',
			  'type'    => 'checkbox',
			  'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
			  
			)
		);
        /*CTA 2*/
		$wp_customize->add_setting('extra_cta_icon_2', array(
	        'transport'         => 'refresh',
	        'sanitize_callback'     =>  'gridchamp_sanitize_file',
	    ));

	    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'extra_cta_icon_2', array(
	        'label'             => esc_html__('CTA 2', 'gridchamp'),
	        'description'		=> esc_html__('Icon Image','gridchamp'),
	        'section'           => 'gridchamp_extra_cta_settings',
	        'settings'          => 'extra_cta_icon_2',
	        'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
	    )));
	    $wp_customize->add_setting( 'extra_cta_title_2', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_title_2', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'title' => '',
				'description' => esc_html__( 'Title','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_desc_2', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_desc_2', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'label' => '',
				'description' => esc_html__('Description','gridchamp'),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_more_text_2', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_more_text_2', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'title' => '',
				'description' => esc_html__( 'Read More Text','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_link_2',
          array(
            'default'        => '',
            'sanitize_callback' => 'gridchamp_sanitize_url'
          ) 
        );
        $wp_customize->add_control( 'extra_cta_link_2', 
            array(
              'label'   => '',
              'description' => esc_html__( 'Link', 'gridchamp' ),
              'section' => 'gridchamp_extra_cta_settings',
              'settings'   => 'extra_cta_link_2',
              'type'     => 'text',
              'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
          )
        );
        $wp_customize->add_setting( 'extra_cta_link_target_2', 
    	array(
	      'default'  =>  false,
	      'sanitize_callback' => 'gridchamp_sanitize_checkbox'
	  	)
	    );
		$wp_customize->add_control( 'extra_cta_link_target_2', 
			array(
			  'label' => esc_html__( 'Open In New Tab', 'gridchamp' ),
			  'description'   => '',
			  'section' => 'gridchamp_extra_cta_settings',
			  'settings' => 'extra_cta_link_target_2',
			  'type'    => 'checkbox',
			  'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
			  
			)
		);
        /*CTA 3*/
		$wp_customize->add_setting('extra_cta_icon_3', array(
	        'transport'         => 'refresh',
	        'sanitize_callback'     =>  'gridchamp_sanitize_file',
	    ));

	    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'extra_cta_icon_3', array(
	        'label'             => esc_html__('CTA 3', 'gridchamp'),
	        'description'		=> esc_html__('Icon Image','gridchamp'),
	        'section'           => 'gridchamp_extra_cta_settings',
	        'settings'          => 'extra_cta_icon_3',
	        'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
	    )));
	    $wp_customize->add_setting( 'extra_cta_title_3', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_title_3', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'title' => '',
				'description' => esc_html__( 'Title','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_desc_3', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_desc_3', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'label' => '',
				'description' => esc_html__('Description','gridchamp'),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_more_text_3', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_more_text_3', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'title' => '',
				'description' => esc_html__( 'Read More Text','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_link_3',
          array(
            'default'        => '',
            'sanitize_callback' => 'gridchamp_sanitize_url'
          ) 
        );
        $wp_customize->add_control( 'extra_cta_link_3', 
            array(
              'label'   => '',
              'description' => esc_html__( 'Link', 'gridchamp' ),
              'section' => 'gridchamp_extra_cta_settings',
              'settings'   => 'extra_cta_link_3',
              'type'     => 'text',
              'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
          )
        );
        $wp_customize->add_setting( 'extra_cta_link_target_3', 
    	array(
	      'default'  =>  false,
	      'sanitize_callback' => 'gridchamp_sanitize_checkbox'
	  	)
	    );
		$wp_customize->add_control( 'extra_cta_link_target_3', 
			array(
			  'label' => esc_html__( 'Open In New Tab', 'gridchamp' ),
			  'description'   => '',
			  'section' => 'gridchamp_extra_cta_settings',
			  'settings' => 'extra_cta_link_target_3',
			  'type'    => 'checkbox',
			  'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
			  
			)
		);
        /*CTA 4*/
		$wp_customize->add_setting('extra_cta_icon_4', array(
	        'transport'         => 'refresh',
	        'sanitize_callback'     =>  'gridchamp_sanitize_file',
	    ));

	    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'extra_cta_icon_4', array(
	        'label'             => esc_html__('CTA 4', 'gridchamp'),
	        'description'		=> esc_html__('Icon Image','gridchamp'),
	        'section'           => 'gridchamp_extra_cta_settings',
	        'settings'          => 'extra_cta_icon_4',
	        'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
	    )));
	    $wp_customize->add_setting( 'extra_cta_title_4', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_title_4', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'title' => '',
				'description' => esc_html__( 'Title','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_desc_4', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_desc_4', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'label' => '',
				'description' => esc_html__('Description','gridchamp'),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_more_text_4', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'extra_cta_more_text_4', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_extra_cta_settings',
				'title' => '',
				'description' => esc_html__( 'Read More Text','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'extra_cta_link_4',
          array(
            'default'        => '',
            'sanitize_callback' => 'gridchamp_sanitize_url'
          ) 
        );
        $wp_customize->add_control( 'extra_cta_link_4', 
            array(
              'label'   => '',
              'description' => esc_html__( 'Link', 'gridchamp' ),
              'section' => 'gridchamp_extra_cta_settings',
              'settings'   => 'extra_cta_link_4',
              'type'     => 'text',
              'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
          )
        );
        $wp_customize->add_setting( 'extra_cta_link_target_4', 
    	array(
	      'default'  =>  false,
	      'sanitize_callback' => 'gridchamp_sanitize_checkbox'
	  	)
	    );
		$wp_customize->add_control( 'extra_cta_link_target_4', 
			array(
			  'label' => esc_html__( 'Open In New Tab', 'gridchamp' ),
			  'description'   =>'' ,
			  'section' => 'gridchamp_extra_cta_settings',
			  'settings' => 'extra_cta_link_target_4',
			  'type'    => 'checkbox',
			  'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_extra_cta_status', true );
	        },
			  
			)
		);
		$wp_customize->add_setting( 'gridchamp_extra_cta_section_padding_top', 
			array(
				'capability' => 'edit_theme_options',
				'sanitize_callback' => 'gridchamp_sanitize_number_absint',
				'default' => 70,
			) 
		);

		$wp_customize->add_control( 'gridchamp_extra_cta_section_padding_top', 
			array(
				'type' => 'number',
				'section' => 'gridchamp_extra_cta_settings',
				'settings' => 'gridchamp_extra_cta_section_padding_top',
				'label' => esc_html__( 'Section Top Space','gridchamp' ),
				'description' => '',
				'input_attrs' => array(
			        'min'   => 0,
			        'max'   => 300,
			        'step'  => 1,
			    ),
			    'priority' => 50,
			    'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			) 
		);
		$wp_customize->add_setting( 'gridchamp_extra_cta_section_padding_bottom', 
			array(
				'capability' => 'edit_theme_options',
				'sanitize_callback' => 'gridchamp_sanitize_number_absint',
				'default' => 70,
			) 
		);

		$wp_customize->add_control( 'gridchamp_extra_cta_section_padding_bottom', 
			array(
				'type' => 'number',
				'section' => 'gridchamp_extra_cta_settings',
				'settings' => 'gridchamp_extra_cta_section_padding_bottom',
				'label' => esc_html__( 'Section Bottom Space','gridchamp' ),
				'description' => '',
				'input_attrs' => array(
			        'min'   => 0,
			        'max'   => 300,
			        'step'  => 1,
			    ),
			    'priority' => 50,
			    'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_extra_cta_status', true );
		        },
			) 
		);
}
?>